Selenium::WebDriver doesn't work with current version of Firefox

2017-05-29 16:48 - Pavel Rosický

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

selenium-webdriver version was locked in order to support outdated Ruby 1.9.3 #24092

could you allow selenium-webdriver 3.4.0 if Ruby 2.0+ is used? I'm getting this error because of it:

Selenium::WebDriver::Error::WebDriverError:

unable to obtain stable firefox connection in 60 seconds (127.0.0.1:7055)

Firefox 53.0.3

(selenium-webdriver 3.4.0 solves the problem)

thanks

Related issues:

Related to Redmine - Feature #23630: Migrate to Rails 5.2 Closed

Associated revisions

Revision 16864 - 2017-07-23 14:35 - Jean-Philippe Lang

Converts UI tests to system tests (#23630).

History

#1 - 2017-06-27 07:20 - Toshi MARUYAMA

- Priority changed from Normal to Low

At trunk r16726 on selenium-webdriver (3.4.3) and phantomjs-2.1.1-linux-x86_64:

$ ruby test/ui/issues_test_ui.rb -n test_create_issue

DEPRECATED: #default_wait_time= is deprecated, please use #default_max_wait_time= instead

Run options: -n test_create_issue --seed 49898

# Running:

E

Finished in 0.582869s, 1.7157 runs/s, 0.0000 assertions/s.

  1) Error:

Redmine::UiTest::IssuesTest#test_create_issue:

NoMethodError: undefined method `capabilities' for nil:NilClass

    test/ui/base.rb:65:in `block in <class:Base>'

1 runs, 0 assertions, 0 failures, 1 errors, 0 skips

#2 - 2017-06-27 07:22 - Toshi MARUYAMA

Firefox driver in 2.53.4 not working with Firefox 48

https://github.com/SeleniumHQ/selenium/issues/2559

#3 - 2017-06-27 09:57 - Pavel Rosický

This is very unsafe API

page.driver.browser.manage.window.resize_to(1024, 900)
it also doesn't work with a Chrome driver. It could be avoided by passing desired capabilities directly for each driver, but it's quite problematic to set

up a custom resolution reliably right now.    

Btw: phantomjs won't be supported anymore, see:

https://groups.google.com/forum/m/#!topic/phantomjs/9aI5d-LDuNE

#4 - 2018-12-01 19:14 - Pavel Rosický

- Status changed from New to Resolved

the version restiction was removed in https://github.com/redmine/redmine/commit/530eef96033bf1474157bbc9c7739ff8dc7e2ae4

resolved, thanks

#5 - 2018-12-01 19:19 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Target version set to 4.0.0

- Resolution set to Fixed

Thanks Pavel for updating the ticket.

I’m setting version 4.0.0 because it is an useful fix for Redmine developers.

#6 - 2018-12-02 01:39 - Go MAEDA

- Related to Feature #23630: Migrate to Rails 5.2 added
